#### D.12.2.54 merkle_hellman_decryption

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  merkle_hellman_decryption(knapsack, key, mod1, message)

Return:
  decrypted binary list

Example:

    LIB "crypto.lib";
    //Please note that the values  have been obtained from the example of merkle_hellman_decryption and merkle_hellman_transformation!
    list hardknapsack =3,9,15,13;
    int key = 3;
    int message = 22;
    int mod1 = 23;
    merkle_hellman_decryption(hardknapsack, key, mod1, message);
    ==> 15
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.